11 Replies Latest reply: Nov 19, 2013 3:47 PM by sachin1 RSS

Why new 12c NetApp Plugin fails?

SUTANUDAS Novice
Currently Being Moderated

Hello, i am trying to deploy the latest NetApp plugin but it fails with the following error, please advise - thanks.

 

The pre-req steps  was successfull.

 

---------------------------------------- ------------------------- ------------------------- ----------

 

Diagnostic information for the failed step

---------------------------------------- ------------------------- ------------------------- ----------

Step name            : Register metadata

Log file             : /prod/app/oracle/product/12.1.0/middleware/oms/cfgtoollogs/pluginca/plugin_deployment_659/configplugin_all_2013-10-30_16-08-41.log

Trace file           : /prod/app/oracle/product/12.1.0/middleware/oms/cfgtoollogs/pluginca/plugin_deployment_659/post_mrs_2013-10-30_16-08-41.trc

Host name            : ora-sna-1001.corp.wayport.net

Error message        : Meta data registration failed for some plug-ins. Error is [Error while performing Post metadata registration for plugin netapp.storage.sys:12.1.0.2.0:0

   Error is: Version mismatch exception :oracle.sysman.eml.ip.impexp.xml.VersionMismatchException

   Aborting config for the plugin and all other dependent plugins.]. Please check logs for more details.

---------------------------------------- ------------------------- ------------------------- ----------

[oracle@ora-sna-1001 bin]$

 

 

Actual error

 

 

  • operties.

2013-10-30 16:08:49,778 [main] WARN pluginca.PluginCABackup - Adding step PRE_DEPLOY_CALLBACK which is not recognized by pluginca backup system.

2013-10-30 16:08:49,909 [main] WARN pluginca.PluginCABackup - Adding step POST_DEPLOY_CALLBACK which is not recognized by pluginca backup system.

2013-10-30 16:11:22,356 [EMMetadataServiceDriver:Thread-26] ERROR pluginca.PluginCADriver - Exception occurred for file /prod/app/oracle/product/12.1.0/middleware/plugins/netapp.storage.sys.oms.plugin_12.1.0.2.0/metadata/reports/CsAggregateUtilization.xml MRS EMMetadataServiceInfo: Name: Report Metadata Registration Id: report Parser class: oracle.sysman.eml.ip.impexp.xml.ReportMetadataService XSD name: oracle/sysman/emSDK/ip/report/ImportExport.xsd Jar file locations:  Plugin XML Location: reports SDK Level: partner Description: Parser for Report Metadata Service Registration mode: POST_REP_SCHEMA Weight: 500 SubSystemId: Report InvokeOnlyForFirstOMS: true Error is Version mismatch exception :oracle.sysman.eml.ip.impexp.xml.VersionMismatchException

2013-10-30 16:11:22,361 [EMMetadataServiceDriver:Thread-26] ERROR pluginca.PluginCADriver - Version mismatch exception :oracle.sysman.eml.ip.impexp.xml.VersionMismatchException

  • oracle.sysman.emSDK.core.extensibility.metadata.EMMetadataRegistrationFailureException: Version mismatch exception :oracle.sysman.eml.ip.impexp.xml.VersionMismatchException

        at oracle.sysman.core.common.extensibility.metadata.EMMetadataServiceInfo.parseMdInstance(EMMetadataServiceInfo.java:559)

        at oracle.sysman.core.common.extensibility.metadata.EMMetadataServiceInfo.registerPostRepSchemaMetadata(EMMetadataServiceInfo.java:286)

        at oracle.sysman.core.common.extensibility.metadata.EMMetadataServiceInfo.registerMetadataForPlugin(EMMetadataServiceInfo.java:223)

        at oracle.sysman.core.common.extensibility.metadata.MRSExecutor.run(MRSExecutor.java:66)

        at oracle.sysman.util.threadPoolManager.WorkerThread.run(Worker.java:264)

Caused by: oracle.sysman.emSDK.core.extensibility.metadata.EMMetadataValidationFailureException: Version mismatch exception :oracle.sysman.eml.ip.impexp.xml.VersionMismatchException

        at oracle.sysman.eml.ip.impexp.xml.ReportMetadataService.parse(ReportMetadataService.java:103)

        at oracle.sysman.core.common.extensibility.metadata.EMMetadataServiceInfo.parseMdInstance(EMMetadataServiceInfo.java:542)

  • Re: Why new 12c NetApp Plugin fails?
    sachin1 NetApp Employee Sprinter
    Currently Being Moderated

    Hi Sutanu,

     

    Before installation of version 2.0 of plug-in, please ensure that you have uninstalled version 1.0 of plug-in and removed all the associated storage targets.

    Even if you have un-installed version 1.0 plug-in earlier, please try to deploy the plug-in again.

    Please let us know if it works.

     

    Regards,

    Sachin Maheshwari

    • Re: Why new 12c NetApp Plugin fails?
      SUTANUDAS Novice
      Currently Being Moderated

      Hi Sachin,

       

      It was a fresh new install of 2.0 and we didnot have any other 1.0 plugins at that time, so, pls advise on the errors.

       

      Is 2.0 plugin certified with 12c 1.0.1.1 OMS version?

       

      All pre-req checks were successfull too

      • Re: Why new 12c NetApp Plugin fails?
        sachin1 NetApp Employee Sprinter
        Currently Being Moderated

        Hi Sutanu,

         

        Thank you for information.

        I would still recommend you try to do installation one more time.

        Also, are you facing this error at the time of metadata registration during plug-in deployment (step  9 or 8)?.

        We will check for plug-in installation failure with Oracle Team as well because plug-in installation is taken care by OEM.

        Can you also please send the logs generated at following path: (emctl.log, emoms.log)

        /<OMS_MIDDLEWARE_PATH>/gc_inst/em/EMGC_OMS1/sysman/log

         

        Regards,

        Sachin Maheshwari

        • Re: Why new 12c NetApp Plugin fails?
          sachin1 NetApp Employee Sprinter
          Currently Being Moderated

          Hi Sutanu,

           

          Thank you for sharing the information. We are able to reproduce the issue and it is having same problem in my setup for OEM version 1.0

          Ideally, plug-in should be supported on OEM version 1.0. We will check with Oracle also.

          What we can suggest you here: If it is possible, please upgrade your OEM setup to 2.0 and start using version 2.0 of NetApp Storage plugin.

          Please write to us for any queries.

           

          Regards,

          Sachin Maheshwari

          • Re: Why new 12c NetApp Plugin fails?
            SUTANUDAS Novice
            Currently Being Moderated

            Hi Sachin,

             

            Good to hear you are able to reproduce this. OEM 1.0 to 2.0 upgrade is bit involved

             

            1. Is it possible to request your pluging development team to fix this?

             

            2. Is it possible to replace the 2.0 plugin file with 1.0 plugin file netapp.storage.sys.oms.plugin_12.1.0.2.0/metadata/reports/CsAggregateUtilization.xml ?....

             

            3. I did 1.0 plugin deployment but it didnot discover anything on our cluster 8.1 ontap

             

            pls advise 1, 2, and 3

            • Re: Why new 12c NetApp Plugin fails?
              sachin1 NetApp Employee Sprinter
              Currently Being Moderated

              Hi Sutanu,

               

              Please find the comments below:

               

              1. We are discussing this version problem with Oracle. Based upon their response, we will update you. You may need to wait till Oracle reverts.

               

              2. We can't replace the files for 1.0 with 2.0. It will not work.

               

              3. Plug-in 1.0 will not discover any thing for Clustered Data ONTAP because we have introduced support for this in version 2.0.

               

              In the mean time, If it is possible, Try to install OEM version 2.0 in your dev environment and start Monitoring Clustered Data ONTAP version and do share your feedback.

               

              Regards,

              Sachin Maheshwari

              • Re: Why new 12c NetApp Plugin fails?
                SUTANUDAS Novice
                Currently Being Moderated

                Question - Is your netapp plugin 2.0 works for OEM 3 (12.1.0.3)?

                 

                the Oracle OEM upgrade process is complex from going from OEM 1.0 to either OEM 2.0 or OEM 3.0 (latest) so if we upgrade we will upgrade OEM 3.0 but asking if your plugin will work?

                 

                Your documentation of netapp plgin 2.0 says it works for 12c Release 1.0 or later and for sure, you documentation is wrong.

                • Re: Why new 12c NetApp Plugin fails?
                  sachin1 NetApp Employee Sprinter
                  Currently Being Moderated

                  Hi Sutanu,

                   

                  Yes, NetApp Storage Plug-in version 2.0 works for OEM 3.

                  We are working for the problem of version 1.0 support of Plug-in 2.0 and interacting with Oracle Team as well. It looks like during development of the plug-in one should use a specific version string of OEM which may solve the problem we have here. We also have to resolve a combination of EDK (developers kit) version dependency also – hence we will get back to you soon on the stand on whether 2.0 works with 12C release 1.0 or not. Thanks for your support – please wait for further updates.

                   

                  Regards,

                  Sachin Maheshwari

                  • Re: Why new 12c NetApp Plugin fails?
                    sachin1 NetApp Employee Sprinter
                    Currently Being Moderated

                    Hi Sutanu,

                     

                    We have identified this problem after having discussions with Oracle and it was an "OMS_VERSION" string issue because of different EDK versions used. We will provide this fix in next patch release of plug-in. Patch release has been planned tentatively either around 24th Dec 2013 or mid of Jan 2014.

                    With this update, we confirm the support of Plug-in version 2.0 for OEM version 1.0.

                    We appreciate your valuable inputs and feedback.

                     

                    Regards,

                    Sachin Maheshwari

                  • Re: Why new 12c NetApp Plugin fails?
                    SUTANUDAS Novice
                    Currently Being Moderated

                    Hi Sachin,

                     

                    We have upgraded our OEM from 1.0 to 3.0 and deployed the plugin but now we are getting the errors when we try to look at any volume

                     

                    Our main goal is to look at oracle volume performance

                     

                    pls advise how can we fix this

                     

                    oracle.sysman.emSDK.emd.comm.MetricGetException: em_result=nas-dal-c01n01|vol0|nas-dal-c01n01|n01_aggr0_root|14|0|33.545|348.312

                    em_result=nas-dal-c01v01|dalrac_control|nas-dal-c01n01|n01_aggr1_sas_hyb|87|0|60.984|90.000

                    em_result=nas-dal-c01v01|dalrac_datafiles_2|nas-dal-c01n01|n01_aggr1_sas_hyb|63|0|4921.514|9216.000

                    em_result=nas-dal-c01v01|dalrac_datafiles_4|nas-dal-c01n01|n01_aggr1_sas_hyb|59|0|11608.294|23552.000

                    em_result=nas-dal-c01v01|dalrac_oralog_1|nas-dal-c01n01|n01_aggr1_sas_hyb|0|0|0.052|120.000

                    em_result=nas-dal-c01v01|dalrac_oralog_1c|nas-dal-c01n01|n01_aggr1_sas_hyb|22|0|27.490|120.000

                    em_result=nas-dal-c01v01|dalrac_oralog_2|nas-dal-c01n01|n01_aggr1_sas_hyb|0|0|0.069|120.000

                    em_result=nas-dal-c01v01|dalrac_oralog_4c|nas-dal-c01n01|n01_aggr1_sas_hyb|42|0|51.023|120.000

                    em_result=nas-dal-c01v01|dalrac_oralog_5a|nas-dal-c01n01|n01_aggr1_sas_hyb|0|0|0.041|120.000

                    em_result=nas-dal-c01v01|dalrac_oralog_5c|nas-dal-c01n01|n01_aggr1_sas_hyb|42|0|51.023|120.000

                    em_result=nas-dal-c01v01|dalrac_oralog_6a|nas-dal-c01n01|n01_aggr1_sas_hyb|0|0|0.041|120.000

                    em_result=nas-dal-c01v01|dalrac_oralog_6c|nas-dal-c01n01|n01_aggr1_sas_hyb|42|0|51.020|120.000

                    em_result=nas-dal-c01v01|dalrac_oralog_7a|nas-dal-c01n01|n01_aggr1_sas_hyb|0|0|0.041|120.000

                    em_result=nas-dal-c01v01|dalrac_oralog_7c|nas-dal-c01n01|n01_aggr1_sas_hyb|42|0|51.020|120.000

                    em_result=nas-dal-c01v01|dalrac_tempfiles|nas-dal-c01n01|n01_aggr1_sas_hyb|85|0|510.041|600.000

                    em_result=nas-dal-c01v01|dwrac_ocr1|nas-dal-c01n01|n01_aggr1_sas_hyb|5|0|0.025|3.000

                    em_result=nas-dal-c01v01|ocrfiles|nas-dal-c01n01|n01_aggr1_sas_hyb|75|0|11.611|21.000

                    em_result=nas-dal-c01v01|ricrac1_oracle|nas-dal-c01n01|n01_aggr1_sas_hyb|31|0|26.170|100.000

                    em_result=nas-dal-c01v01|ricrac3_oracle|nas-dal-c01n01|n01_aggr1_sas_hyb|20|0|15.464|100.000

                    em_result=nas-dal-c01v01|ricrac_vote1|nas-dal-c01n01|n01_aggr1_sas_hyb|2|0|0.028|1.000

                    em_result=nas-dal-c01v01|ricrac_vote5|nas-dal-c01n01|n01_aggr1_sas_hyb|2|0|0.023|1.000

                    em_result=nas-dal-c01v01|root_vol_v01|nas-dal-c01n01|n01_aggr1_sas_hyb|5|0|0.000|0.020

                    Exception in thread "main" java.lang.NullPointerException

                    at com.netapp.plugin.common.DataCollector.main(Unknown Source)

More Like This

  • Retrieving data ...

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points